#
#  Copyright (C) 2013-2016 Red Hat, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHEV-M setup plugins
Name:		rhevm-setup-plugins
Version:	4.0.0.1
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		%{name}-4.0.0.1-1.tar.gz
Group:		Virtualization/Management

BuildArch:	noarch

BuildRequires:	python

Requires:	ovirt-engine-setup-plugin-ovirt-engine >= 4.0.0
Requires:	ovirt-setup-lib >= 1.0.1

%description
Setup plugins for RHEV-M

%prep
%setup -q -n %{name}-4.0.0.1

%build
make %{?_smp_mflags} %{make_common_opts}

%install
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

# Compile python files
%{__python} -m compileall -f -q -d / "%{buildroot}"
%{__python} -O -m compileall -f -q -d / "%{buildroot}"

%files
%license LICENSE
%doc README
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/rhevm*
%{_datadir}/ovirt-engine/setup/plugins/*/rhevm-setup-plugins/

%changelog
* Tue Jun 14 2016 Yedidyah Bar David <didi@redhat.com> - 4.0.0.1-1
- Resolves: BZ#1344613

* Thu Jun  2 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.0-1
- 4.0.0-1
- Resolves: BZ#1307031
- Resolves: BZ#1312398

* Mon Oct  5 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-1
- Resolves: BZ#1201508
- Resolves: BZ#1240282

* Tue Aug 11 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.3.master
- Resolves: BZ#1201508
- Resolves: BZ#1175175
- Resolves: BZ#1181651
- Resolves: BZ#1204793

* Fri Jul 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.0.master
- 3.6.0
